/* Structures permettant le stockage de l'image */
typedef struct Pix_rgb
{
	unsigned char red;
	unsigned char green;
	unsigned char blue;
} Pix_rgb;

typedef struct Image
{
	int width;
	int height;
	Pix_rgb** Mat_data;
} Image;



/* Prototypes */ 
void NouvelleImage(int width, int height, Image** I);
void free_image(Image** I);
void read_header(FILE * im_file, int *width, int *height);
int sauvegarde_ppm(char* fichier, Image** I);
int chargement_ppm(char *image_name, Image** I);
void GetPartChar(unsigned char x, unsigned char *a, int i);
void SetPartChar(unsigned char *x, unsigned char a, int i);
void LSB_hide(Image **I, unsigned char *msg, int encode, int vigenere, unsigned char *cle);
void Next_pixel(Image **I, int *current_pos, int *i, int *j, int vigenere, unsigned char *cle);